# Get Bot Details GET https://api.meetstream.ai/api/v1/bots/{bot_id}/detail Reference: https://docs.meetstream.ai/api-reference/ap-is/bot-endpoints/get-bot-details ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: Meetstream API version: 1.0.0 paths: /api/v1/bots/{bot_id}/detail: get: operationId: get-bot-details summary: Get Bot Details tags: - subpackage_bots parameters: - name: bot_id in: path required: true schema: type: string - name: Authorization in: header description: 'Format: Token ' required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/BotDetailsResponse' servers: - url: https://api.meetstream.ai components: schemas: BotDetailsResponseBotDetailsCaptionFile: type: object properties: available: type: boolean title: BotDetailsResponseBotDetailsCaptionFile BotDetailsResponseBotDetails: type: object properties: BotID: type: string BotImageURL: type: - string - 'null' BotMessage: type: string BotProfile: type: string BotUsername: type: string CreatedAt: type: string Duration: type: integer EndTime: type: string LastUpdatedAt: type: integer ManifestStatus: type: string MeetingLink: type: string NativeSTT: type: boolean OfferingType: type: string Platform: type: string StartTime: type: string Status: type: string UserID: type: string RequestPayload: type: object additionalProperties: description: Any type StatusTimeline: type: object additionalProperties: description: Any type custom_attributes: type: object additionalProperties: description: Any type caption_file: $ref: '#/components/schemas/BotDetailsResponseBotDetailsCaptionFile' title: BotDetailsResponseBotDetails BotDetailsResponse: type: object properties: bot_details: $ref: '#/components/schemas/BotDetailsResponseBotDetails' title: BotDetailsResponse securitySchemes: TokenAuth: type: apiKey in: header name: Authorization description: 'Format: Token ' ``` ## SDK Code Examples ```python import requests url = "https://api.meetstream.ai/api/v1/bots/bot_id/detail" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.meetstream.ai/api/v1/bots/bot_id/detail'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.meetstream.ai/api/v1/bots/bot_id/detail" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.meetstream.ai/api/v1/bots/bot_id/detail") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.meetstream.ai/api/v1/bots/bot_id/detail") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://api.meetstream.ai/api/v1/bots/bot_id/detail', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.meetstream.ai/api/v1/bots/bot_id/detail"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/bots/bot_id/detail")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```